org.apache.pdfbox.pdmodel.graphics.form

## Class PDTransparencyGroup

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.PDXObject
  - - org.apache.pdfbox.pdmodel.graphics.form.PDFormXObject
    - - org.apache.pdfbox.pdmodel.graphics.form.PDTransparencyGroup

All Implemented Interfaces:
  PDContentStream, COSObjectable

    public class PDTransparencyGroup
    extends PDFormXObject

A transparency group.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`PDTransparencyGroup(COSStream stream, ResourceCache cache)` Creates a Transparency Group for reading.
`PDTransparencyGroup(PDDocument document)` Creates a Transparency Group for writing, in the given document.
`PDTransparencyGroup(PDStream stream)` Creates a Transparency Group for reading.

### Method Summary

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.form.PDFormXObject

`getBBox, getContents, getContentsForRandomAccess, getContentStream, getFormType, getGroup, getMatrix, getOptionalContent, getResources, getStructParents, setBBox, setFormType, setGroup, setMatrix, setOptionalContent, setResources, setStructParents`

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.PDXObject

`createXObject, getCOSObject, getStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.contentstream.PDContentStream

`getContentsForStreamParsing`

### Constructor Detail

#### PDTransparencyGroup

    public PDTransparencyGroup(PDStream stream)

Creates a Transparency Group for reading.

Parameters:
  `stream` - The XObject stream

#### PDTransparencyGroup

    public PDTransparencyGroup(COSStream stream,
                               ResourceCache cache)

Creates a Transparency Group for reading.

Parameters:
  `stream` - The XObject stream
  `cache` - the cache to be used for the resources

#### PDTransparencyGroup

    public PDTransparencyGroup(PDDocument document)

Creates a Transparency Group for writing, in the given document.

Parameters:
  `document` - The current document